local MAJOR = "StarLibPluginRangeCheck-1.0" 
local MINOR = 9

local PluginRangeFinder = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginRangeFinder then return end
local RangeCheck = LibStub("LibRangeCheck-2.0")
assert(RangeCheck, MAJOR .. " requires LibRangeCheck-2.0")

if not PluginRangeFinder.__index then
	PluginRangeFinder.__index = PluginRangeFinder
end

-- @name PluginRangeFinder:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new StarPluginRangeFinder object
function PluginRangeFinder:New(environment)
	
	local obj = {}

	setmetatable(obj, self)
	
	environment.RangeCheck = RangeCheck
	
	return obj	
	
end
